Package org.kie.api.internal.assembler

## Interface KieAssemblerService

- All Superinterfaces:
    `KieService`, `Service`

      public interface KieAssemblerService
      extends KieService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `addResource​(Object kbuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` | Deprecated. As of version 7.51.0 replaced by `addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)`
    `default void` | `addResourceAfterRules​(Object kbuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` |
    `default void` | `addResourceBeforeRules​(Object kbuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` |
    `default void` | `addResources​(Object kbuilder, Collection<ResourceWithConfiguration> resources, ResourceType type)` | Deprecated. As of version 7.51.0 replaced by `addResourcesAfterRules(Object, Collection, ResourceType)`
    `default void` | `addResourcesAfterRules​(Object kbuilder, Collection<ResourceWithConfiguration> resources, ResourceType type)` |
    `default void` | `addResourcesBeforeRules​(Object kbuilder, Collection<ResourceWithConfiguration> resources, ResourceType type)` |
    `ResourceType` | `getResourceType()` |

- - ### Method Detail

    - #### getResourceType

          ResourceType getResourceType()

    - #### addResourceBeforeRules

          default void addResourceBeforeRules​(Object kbuilder,
                                              Resource resource,
                                              ResourceType type,
                                              ResourceConfiguration configuration)
                                       throws Exception

      Throws:
        `Exception`

    - #### addResourcesBeforeRules

          default void addResourcesBeforeRules​(Object kbuilder,
                                               Collection<ResourceWithConfiguration> resources,
                                               ResourceType type)
                                        throws Exception

      Throws:
        `Exception`

    - #### addResourceAfterRules

          default void addResourceAfterRules​(Object kbuilder,
                                             Resource resource,
                                             ResourceType type,
                                             ResourceConfiguration configuration)
                                      throws Exception

      Throws:
        `Exception`

    - #### addResourcesAfterRules

          default void addResourcesAfterRules​(Object kbuilder,
                                              Collection<ResourceWithConfiguration> resources,
                                              ResourceType type)
                                       throws Exception

      Throws:
        `Exception`

    - #### addResource

          @Deprecated
          default void addResource​(Object kbuilder,
                                   Resource resource,
                                   ResourceType type,
                                   ResourceConfiguration configuration)
                            throws Exception

      Deprecated.
      As of version 7.51.0 replaced by `addResourceAfterRules(Object, Resource, ResourceType, ResourceConfiguration)`
      Throws:
        `Exception`

    - #### addResources

          @Deprecated
          default void addResources​(Object kbuilder,
                                    Collection<ResourceWithConfiguration> resources,
                                    ResourceType type)
                             throws Exception

      Deprecated.
      As of version 7.51.0 replaced by `addResourcesAfterRules(Object, Collection, ResourceType)`
      Throws:
        `Exception`